Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# GIOP::TargetAddress Class Reference

`#include <GIOPC.h>`

Collaboration diagram for GIOP::TargetAddress:

[legend]
List of all members.

## Public Types
typedef TargetAddress_var | _var_type
## Public Methods
| TargetAddress (void)
| TargetAddress (const TargetAddress &)
| ~TargetAddress (void)
TargetAddress & | operator= (const TargetAddress &)
void | _d (CORBA::Short)
CORBA::Short | _d (void) const
void | object_key (const TAO_ObjectKey &)
const TAO_ObjectKey & | object_key (void) const
TAO_ObjectKey & | object_key (void)
void | profile (const IOP::TaggedProfile &)
const IOP::TaggedProfile & | profile (void) const
IOP::TaggedProfile & | profile (void)
void | ior (const ACE_NESTED_CLASS(GIOP, IORAddressingInfo)&)
const | ACE_NESTED_CLASS (GIOP, IORAddressingInfo)&ior(void) const
| ACE_NESTED_CLASS (GIOP, IORAddressingInfo)&ior(void)
void | _default ()
## Static Public Methods
void | _tao_any_destructor (void *)
## Private Methods
void | _reset (CORBA::Short, CORBA::Boolean)
void | _reset (void)
## Private Attributes
CORBA::Short | disc_
union {
| ACE_NESTED_CLASS (GIOP, IORAddressingInfo)*ior_
TAO_ObjectKey * object_key_
IOP::TaggedProfile * profile_
} | u_

## Member Typedef Documentation

typedef TargetAddress_var GIOP::TargetAddress::_var_type

## Constructor & Destructor Documentation

GIOP::TargetAddress::TargetAddress | ( | void |  | ) |

GIOP::TargetAddress::TargetAddress | ( | const TargetAddress & | u | ) |

ACE_INLINE GIOP::TargetAddress::~TargetAddress | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE CORBA::Short GIOP::TargetAddress::_d | ( | void |  | ) | const

ACE_INLINE void GIOP::TargetAddress::_d | ( | CORBA::Short | discval | ) |

ACE_INLINE void GIOP::TargetAddress::_default | ( |  | ) |

ACE_INLINE void GIOP::TargetAddress::_reset | ( | void |  | ) | `[private]`

void GIOP::TargetAddress::_reset | ( | CORBA::Short | ,
|  | CORBA::Boolean |
| ) | `[private]`

void GIOP::TargetAddress::_tao_any_destructor | ( | void * | x | ) | `[static]`

GIOP::TargetAddress::ACE_NESTED_CLASS | ( | GIOP | ,
|  | IORAddressingInfo |
| ) |

const GIOP::TargetAddress::ACE_NESTED_CLASS | ( | GIOP | ,
|  | IORAddressingInfo |
| ) | const

void GIOP::TargetAddress::ior | ( | const ACE_NESTED_CLASS(GIOP, IORAddressingInfo)& |  | ) |

ACE_INLINE TAO_ObjectKey & GIOP::TargetAddress::object_key | ( | void |  | ) |

ACE_INLINE const TAO_ObjectKey & GIOP::TargetAddress::object_key | ( | void |  | ) | const

ACE_INLINE void GIOP::TargetAddress::object_key | ( | const TAO_ObjectKey & | val | ) |

GIOP::TargetAddress & GIOP::TargetAddress::operator= | ( | const TargetAddress & | u | ) |

ACE_INLINE IOP::TaggedProfile & GIOP::TargetAddress::profile | ( | void |  | ) |

ACE_INLINE const IOP::TaggedProfile & GIOP::TargetAddress::profile | ( | void |  | ) | const

ACE_INLINE void GIOP::TargetAddress::profile | ( | const IOP::TaggedProfile & | val | ) |

## Member Data Documentation

CORBA::Short GIOP::TargetAddress::disc_`[private]`

TAO_ObjectKey* GIOP::TargetAddress::object_key_`[private]`

IOP::TaggedProfile* GIOP::TargetAddress::profile_`[private]`

union { ... } GIOP::TargetAddress::u_`[private]`

The documentation for this class was generated from the following files:

- GIOPC.h
- GIOPC.cpp
- GIOPC.i